{{ include('layout/rightColumnCloseButton.twig') }}


{% for message in app.session.getFlashBag.get('message') %}
	<div class="flash" data-alert="alert">
		<div class="lead btn btn-{{ message.status }}">{{ message.text }}</div>
	</div>
{% endfor %}


{# TYPE OBJET #}

<h3>
	<acronym title="{{ O.infos.description|striptags|raw }} [{{ O.infos.sysma_object_type_id }}]">{{ O.infos.sysma_object_type|raw }}
	</acronym>

	<small>
		<a class="text-muted" href="{{ url('sysma-object-type', { 'id' : O.infos.sysma_object_type_id }) }}" target="_blank" alt="voir la fiche dictionnaire" title="voir la fiche dictionnaire">
			<span class="glyphicon glyphicon-book"></span>
		</a>
	</small>


</h3>


{# TITRE #}


<h1>

	{{ O.infos.sysma_object|slice(0,1)|capitalize|raw }}{{ O.infos.sysma_object|slice(1)|raw }}
	<small>{{ O.acronym }}</small>


	<small>
		<small>[{{ O.id }}]</small>
	</small>

</h1>
<p>

	{{ include('sysma-object/sysmaObjectStatusLabel.twig') }}
	{% if O.infos.geometry_type != 'no_geom' %}
		<a href="#" class="text-muted"><span id="geomIcon" class="glyphicon glyphicon-screenshot" onclick="hs('geometrie');
												                sendData(null, '{{ url('object-geo-infos', { 'id': O.id }) }}', 'geometrie', event);" title="Cliquez ici pour afficher des informations sur la géomtrie de l'objet"></span></a>
	{% endif %}
	{% if app.session.get('user_id')|hasCadastreAccess and  O.infos.geometry_type != 'no_geom' %}
		<a href="#" class="text-muted"><span id="geomIcon" class="glyphicon glyphicon-list-alt" onclick="sendData(null, '{{ url('objet-infos-cadastre', { 'id': O.id, 'buffer' : 0 }) }}', 'objet', event);" title="Cliquez ici pour afficher des informations du cadastre"></span></a>&nbsp;
	{% endif %}	

	<a class="text-muted" href="{{ url('object-form', { 'id' : O.id })}}" target="_blank"><span class="glyphicon glyphicon-print"></span></a>
	{{ include('sysma-object/sysmaObjectModificationButton.twig') }}


	{% if O.modified_at != null %}
		<small class="text-muted">
			Modifié
			{% if O.infos.lastname != null %}
				par
				{{ O.infos.firstname|default(null) }}
				{{ O.infos.lastname }}
			{% endif %}
			le
			<span title="{{ O.modified_at|date('d/m/Y H:i:s') }}">{{ O.modified_at|date('d/m/Y') }}</span>
		</small>
	{% endif %}

</p>

{# PHOTO #}
<div class="row">
	{% if O.PP != null %}

		<div class="col-sm-12 col-md-8" >		
		<img src="{{ O.PP.thumbnail }}" 
		{% if O.PP.exif_orientation|default(null) is not null %}
			{% if O.PP.exif_orientation == '6' %} style="display:bock;max-width:100%;transform-origin: center center;transform:rotate(90deg);margin:10%;margin-left:-10%" {% endif %}	
			{% if O.PP.exif_orientation == '8' %} style="display:bock;max-width:100%;transform-origin: center center;transform:rotate(-90deg);margin:10%;margin-left:-10%" {% endif %}	
			{% if O.PP.exif_orientation == '3' %} style="display:bock;max-width:100%;transform-origin: center center;transform:rotate(180deg);" {% endif %}	
		{% endif %}			
		/>		
		</div>
	
	{% endif %}

	<div
		class="col-md-3 offset-md-8">


		{# PROCESSES #}

		{%  if PROCESSES[O.infos.sysma_object_type_id]|default(null)|length >0 %}

			<p>
				<a class="btn btn-default" onclick="sendData('sysma_object_id={{  O.id }}', '{{  url('processes-sysma-object-type', { 'sysma_object_type_id' : O.infos.sysma_object_type_id}) }}', 'objet', event, false);" href="#">
					<span class="glyphicon glyphicon-cog"></span>
					Automatisations</a>
			</p>

		{%  endif %}


		{# ADDONS #}

		{%  for addon in ADDONS[O.infos.sysma_object_type_id]|default(null) %}

			<p>
				<a class="btn btn-default" href="{{ url('addon', {'id' : addon.url, 'sysma_object_id' : O.id}) }}" target="_blank">
					<span class="{{ addon.icon }}"></span>
					{{  addon.title }}</a>
			</p>

		{%  endfor %}

	</div>
</div>

{# GEOMETRIE #}

<div id="geometrie" style="display:none;" class="infosGeo button"></div>

{# DONNEES #}


<h2 class="labelSysma labelSysma-donnees">Données
	<span style="float:right;">
		{% if   (
                [app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, null, null, null, 'gestionnaire']|hasAccess or 
                ([app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, null, null, null, 'contributeur']|hasAccess and O.modified_by == app.session.get('user_id'))
        )
        %}
			<button class="btn btn-default btn-xs" onclick="sendData('id={{ O.id }}&mode=field', '{{  url('object-tab-form') }}', 'blocDonnees', event)">
				<span class="glyphicon glyphicon-edit"></span>
				Tab Mode terrain</button>
			<button class="btn btn-default btn-xs" onclick="sendData('id={{ O.id }}&mode=normal', '{{  url('object-tab-form') }}', 'blocDonnees', event)">
				<span class="glyphicon glyphicon-edit"></span>
				Tab Mode</button>
		{% endif %}
		{% if [app.session.get('user_id'),null,O.infos.sysma_object_type_id ,null, null, null, null, 'contributeur']|hasAccess %}
			<a class="btn btn-default btn-xs btnNewOb" href="#" onclick="
															                        openClose('rightColumn', '40%', 'map', '60%');
															                        $('#infos').show(150);
															                        $('#objet').hide(150);
															                        enableDraw('{{O.infos.geometry_type}}', {{ app['session'].get('snap_options').active|default(false) == true ? app['session'].get('snap_options').layer_id : 'null' }});
															                        sendData('sysma_object_type_id={{ O.infos.sysma_object_type_id }}', '{{ url('set-idtypeobjet-session') }}', 'layerstate', null)">
				{% if O.infos.geometry_type == 'ST_Linestring' %}
					<span class="glyphicon glyphicon-minus" height="15px" title="Créer un nouvel objet {{O.infos.sysma_object_type|raw}}"></span>
				{% endif %}
				{% if O.infos.geometry_type == 'ST_Polygon' %}
					<img src="/img/polygon.png" height="15px" title="Créer un nouvel objet {{O.infos.sysma_object_type|raw}}"/>
				{% endif %}
				{% if O.infos.geometry_type == 'ST_Point' %}
					<span class="glyphicon glyphicon-map-marker" title="Créer un nouvel objet {{O.infos.sysma_object_type|raw}}"></span>
				{% endif %}
				&nbsp;Créer un nouvel objet
				{{O.infos.sysma_object_type|raw}}
			</a>
		{% endif %}
	</span>
</h2>

<button id="boutonAfficheBlocDonnees" class="btn btn-xs btn-default" onclick="afficheBloc('blocDonnees', 'boutonAfficheBlocDonnees');">-</button>

<div id="blocDonnees">


	{% for V in O.data %}

		{%  if V.parameter.hidden_in_form != 'oui' %}

			   {%  if '**' in V.parameter.ordered_by %}                                        
                     <div class="row rowSysma"><h3>{{ (V.parameter.ordered_by|split('**')).1|replace('_',' ') }}</h3></div>
                {%  endif %}

			<div class="row rowSysma
															                     {% if  V.parameter.required %}
															                         requiredParameter
															                     {% endif %}
															                     ">
				<div class="col-md-2 col-sm-3 col-xs-12 colonne1">
					<acronym title="{{V.parameter.description|striptags|raw}} [{{V.parameter.parameter_id}}]">{{V.parameter.parameter|striptags|raw}}</acronym>
					{% if V.parameter.unit!=null %}
						({{V.parameter.unit}})
					{% endif %}
				</div>


				<div id="renseigneForm{{V.idsysma_object}}{{V.parameter_id}}" class="col-md-10 col-sm-9 col-xs-12">
					{% include ('sysma-object-parameter-value/sysmaObjectParameterValueDisplay.twig') %}
				</div>

			</div>

		{%  endif %}

	{% endfor %}
</div>


{# ACTIONS #}


{% if TO.sysmaActionTypesArray|length > 0 
and (
 [app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'lecteur']|hasAccessSysmaActions  or
    [app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'contributeur']|hasAccessSysmaActions) 
    %}

	<h2 class="labelSysma labelSysma-sysma_action">Actions</h2>
	<div id="sysma_action"></div>

	{% for T in O.actionsArray %}


		{% if 
(
    [app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, T.sysma_action_type_id, T.status, T.organisation_id, 'lecteur']|hasAccess 
or ([app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, T.sysma_action_type_id, T.status, T.organisation_id, 'contributeur']|hasAccess 
and O.modified_by == app.session.get('user_id'))
)
        %}


			<div class="rowSysma requiredParameter blocInfosTravaux" id="blocInfosTravaux{{T.id}}">

				{% set sysma_object_id = O.id %}
				{% include('sysma-action/sysmaActionRow.twig') %}

			</div>

		{% endif %}

	{% endfor %}

	{% if TO.actionSheetsInOrganisationArray|length > 0 or TO.actionSheetsOutOrganisationArray|length > 0 %}


		{% if 
(
    [app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'gestionnaire']|hasAccessSysmaActions  or
    ([app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'contributeur']|hasAccessSysmaActions and  O.modified_by == app.session.get('user_id'))
)
                    %}


			<h3>Associer l'objet à une action</h3>

			{# Attention @sr: <form avec action="" #}
			<form method="post" action="" class="form-inline" id="formAssocieTravaux">
				<div class="form-group">
					<select id="idTravaux" name="sysma_action_id" class="form-control input-sm">
						{% for FT in TO.actionSheetsInOrganisationArray %}


							{% if 
                                    (
                                       [app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, FT.sysma_action_type_id, FT.status, FT.organisation_id, 'gestionnaire']|hasAccess 
                                    or ([app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, FT.sysma_action_type_id, FT.status, FT.organisation_id, 'contributeur']|hasAccess 
                                    and FT.modified_by == app.session.get('user_id'))
                                    )
                                    %}

								<option value="{{FT.sysma_action_id}}">{{FT.acronym}}
									-
									{{FT.sysma_action_type|raw}}
									-
									{{FT.sysma_action|raw}}
									({{FT.start_date}}>{{FT.end_date}})</option>
							{% endif %}
						{% endfor %}
						{% for FT in TO.actionSheetsOutOrganisationArray %}
							{% if 
                                    (
                                       [app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, FT.sysma_action_type_id, FT.status, FT.organisation_id, 'gestionnaire']|hasAccess 
                                    or ([app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, FT.sysma_action_type_id, FT.status, FT.organisation_id, 'contributeur']|hasAccess 
                                    and FT.modified_by == app.session.get('user_id'))
                                    )
                                                %}
								<option value="{{FT.sysma_action_id}}">{{FT.acronym}}
									-
									{{FT.sysma_action_type|raw}}
									-
									{{FT.sysma_action|raw}}
									({{FT.start_date}}>{{FT.end_date}})</option>
							{% endif %}
						{% endfor %}
					</select>
				</div>

				<button class="btn btn-xs btn-default" onclick="sendFormAndRedirectAndMove('formAssocieTravaux', '{{url('object-link-work') }}', 'id={{O.id}}&sysma_action_id' + $('#idTravaux').val(), '{{ url('object') }}', 'objet', event, 'blocInfosTravaux' + $('#idTravaux').val());">
					<span class="glyphicon glyphicon-link"></span>
					Associer</button>
				<input name="sysma_object_id" value="{{O.id}}" type="hidden"/>

			</form>

		{% endif %}

	{% endif %}
	<br>
	{% include('sysma-action/sysmaActionCreateButton.twig') %}


{% endif %}


{# RELATIONS #}


{% if TO.sysmaRelationTypesArray|length > 0 
and (
 [app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'lecteur']|hasAccessSysmaActions  or
    [app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'contributeur']|hasAccessSysmaActions) 
                                                        %}

	<h2 class="labelSysma labelSysma-sysma_relation">Relations</h2>
	<div id="sysma_relation"></div>

	{% for R in O.relationsArray %}


		<div class="rowSysma requiredParameter" id="blocInfosRelation{{R.RL.sysma_relation_id}}">
			{% set RL = R.RL %}
			{{ render(url('relation-line', { 'sysma_relation_id' : R.RL.sysma_relation_id, 'sysma_object_id' : O.id })) }}


		</div>


	{% endfor %}


	{% if TO.relationSheetsInOrganisationArray|length > 0 or TO.relationSheetsOutOrganisationArray|length > 0 %}


		{% if 
(
    [app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'gestionnaire']|hasAccessSysmaActions  or
    ([app.session.get('user_id'),O.sysma_object_type_id,O.organisation_id,  'contributeur']|hasAccessSysmaActions and  O.modified_by == app.session.get('user_id'))
)
                                                            %}

		{% if TO.relationSheetsInOrganisationArray|default(null) is not null or  TO.relationSheetsOutOrganisationArray|default(null) is not null  %}

			<h3>Ajouter à une relation</h3>

			
			{# Attention @sr: <form avec action="" #}
			<form method="post" action="" class="form-inline" id="formAssocieRelation">
				<div class="form-group">
					<select id="sysma_relation_id" name="sysma_relation_id" class="form-control input-sm">

					{% if TO.relationSheetsInOrganisationArray|default(null) is not null %}

							{% for FT in TO.relationSheetsInOrganisationArray %}
								
									<option value="{{FT.sysma_relation_id}}|{{ FT.parent_child }}">
										{{ FT.objectsLinked[FT.parent_child|invertPC]|slice(0,15) }}...
										{{ FT.parent_child == 'parent' ? FT.sysma_relation_type_from_parent : FT.sysma_relation_type_from_child }}
										{{ FT.objectsLinked[FT.parent_child]|slice(0,20) }}... -
										{{ FT.sysma_relation|default(null)|raw }}
										({{FT.start_date}}>{{FT.end_date}}) [{{ FT.sysma_relation_id }}]</option>
								
							{% endfor %}

						{% endif %}

						{% if TO.relationSheetsOutOrganisationArray|default(null) is not null %}

							{% for FT in TO.relationSheetsOutOrganisationArray %}
							
									<option value="{{FT.sysma_relation_id}}|{{ FT.parent_child }}">
											{{ FT.objectsLinked[FT.parent_child|invertPC]|slice(0,15) }}...
											{{ FT.parent_child == 'parent' ? FT.sysma_relation_type_from_parent : FT.sysma_relation_type_from_child }}
											{{ FT.objectsLinked[FT.parent_child]|slice(0,20) }}... -
											{{ FT.sysma_relation|default(null)|raw }}
											({{FT.start_date}}>{{FT.end_date}}) [{{ FT.sysma_relation_id }}]</option>
									
							{% endfor %}

						{% endif %}
					</select>
				</div>

				<button class="btn btn-xs btn-default" onclick="sendFormAndRedirectAndMove('formAssocieRelation', '{{url('object-link-relation') }}', 'id={{O.id}}&sysma_relation_id' + $('#idRelation').val(), '{{ url('object') }}', 'objet', event, 'blocInfosRelation' + $('#idRelation').val());">
					<span class="glyphicon glyphicon-link"></span>
					Associer</button>
				<input name="sysma_object_id" value="{{O.id}}" type="hidden"/>

			</form>
		{% endif %}

		{% endif %}

	{% endif %}
	<br>
	{% include('sysma-relation/sysmaRelationCreateButton.twig') %}


{% endif %}


{# PHOTOS #}


<h2 class="labelSysma labelSysma-photos">Photos</h2>


{% if O.tabOP|length > 0 %}

	<div id="boutonAfficheBlocPhotos" class="btn btn-xs btn-default" onclick="afficheBloc('blocPhotos', 'boutonAfficheBlocPhotos');">-</div>
	<div id="blocPhotos">


		{% for OP in O.tabOP %}
			<div class="photo-object" id="PhotoObject{{ OP.index }}">


				{% if OP.photo_type == 'photo_upload' %}

					<a href="{{ OP.Photo.large}}" target="_blank"><img src="{{ OP.Photo.square}}" style="max-width:100%" title="Photo téléversée"></a>
					<p>{{ OP.photo_title|default(null) }}
						<br><small>{{ OP.photo_date is not null ? OP.photo_date|date('d/m/Y') }}</small>
					</p>


				{% endif %}


				{% if OP.photo_type == 'photo' %}

					<a href="{{ OP.Photo.large}}" target="_blank"><img src="{{ OP.Photo.square}}" style="max-width:100%" title="Photo hébergée sur la photothèque"></a>
					<p>{{ OP.Photo.name|default(null) }}
						<br><small>{{ OP.Photo.date_creation|date('d/m/Y') }}</small>
					</p>


				{% endif %}


				{% if OP.photo_type == 'folder' %}


					<div style="clear:both;">

						{%  if OP.PiwigoFolder.tabPhotos|default(null) != null  %}
							{%   set P = OP.PiwigoFolder.tabPhotos[0] %}
							<a href="{{ P.large}}" target="_blank">
								<img src="{{ P.square}}" style="max-width:100%" title="Photo hébergée sur la photothèque">
							</a>
							<p>{{ P.name|default(null) }}
								<br><small>{{ P.date_creation|date('d/m/Y') }}</small>
							</p>
						{% endif %}
					</div>
					<div style="clear:both;">
						{{ OP.PiwigoFolder.titleCode|default(null)|raw }}
					</div>
				{% endif %}

				{% include('photo/photoModificationButton.twig') %}

			</div>
		{% endfor %}

	</div>

{% endif %}

{% include('photo/photoAddButton.twig') %}
<br><br>
</div><script>


$(function () {

$('.flash').delay(1500).fadeIn('normal', function () {
$(this).delay(1000).fadeOut();
});
});</script>
